Bug 46599 - Tomcat doc. should acknowledge longstanding Daemon bug
Tomcat doc. should acknowledge longstanding Daemon bug
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
6.0.18
PC Windows XP
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/tomcat-6.0-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-01-25 17:07 UTC by Trev
Modified: 2009-04-07 12:36 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trev 2009-01-25 17:07:32 UTC
Please add this text: "Do not use PR_DEPENDSON, PR_ENVIRONMENT, PR_JVMOPTIONS, PR_JVMMS, PR_JVMMX, PR_JVMSS, PR_STARTPARAMS, PR_STOPPARAMS or PR_STOPTIMEOUT, until this bug is fixed: http://issues.apache.org/jira/browse/DAEMON-49" (or similar text) to this page: http://tomcat.apache.org/tomcat-6.0-doc/windows-service-howto.html

The "Windows service HOW-TO" indicates that those nine environment variables will take effect, if they are defined when tomcat6.exe is invoked.  But they don't work, and apparently they never worked.  The person who reported the Daemon bug submitted a patch, but that was almost 5 years ago, and no one has done anything with the patch.

The tomcat6.exe documentation should acknowledge the existence of this longstanding Daemon bug, so people who read the HOW-TO will not waste numerous hours on it.
Comment 1 Mark Thomas 2009-02-22 06:40:15 UTC
I'm looking at DBCP and Daemon bugs at the moment. The plan, schedules permitting, is get get new releases of both into the next Tomcat release (6.0.19). If they don't make 6.0.19 they should make 6.0.20.
Comment 2 Mark Thomas 2009-04-07 12:36:44 UTC
Not sure when I'm going to get the time to look at this so I have added a note to the docs.